package com.engine.recruit.service;

import java.util.Map;

/**
 * <p>聚才林招聘</p>
 * <p>
 * 应聘者简历服务类
 *
 * @author:dxfeng
 * @createTime: 2023/09/20
 * @version: 1.0
 */
public interface ApplicantResumeService {

    /**
     * 获取应聘者姓名
     *
     * @param ids 应聘者ID
     * @return 应聘者姓名
     */
    Map<String, Object> getApplicantsName(String ids);

    /**
     * 根据ID获取面试信息
     *
     * @param id
     * @return 面试信息
     */
    Map<String, Object> getInterviewInfoById(String id);

    /**
     * 获取编辑布局对应的显示布局ID
     *
     * @param params 入参
     * @return 显示布局ID
     */
    Map<String, Object> getDisplayLayoutId(Map<String, Object> params);

    /**
     * 获取关联Tab页，数据统计条数
     *
     * @param params 入参
     * @return 据统计条数
     */
    Map<String, Object> getTabCount(Map<String, Object> params);


    /**
     * 更新应聘者信息
     *
     * @param params 入参
     * @return
     */
    Map<String, Object> updateApplicantsInfo(Map<String, Object> params);


    /**
     * 判断是否重复简历，是否可以新增
     *
     * @param param
     * @return
     */
    Map<String, Object> checkRepeatResume(Map<String, Object> param);

    /**
     * 获取简历卡片信息
     *
     * @param param
     * @return
     */
    Map<String, Object> getResumeCardInfo(Map<String, Object> param);

    /**
     * 获取简历列表状态
     *
     * @param param
     * @return
     */
    String getResumeListStatus(Map<String, Object> param);

    /**
     * 更新简历列表状态
     *
     * @param param
     * @return
     */
    Map<String, Object> updateResumeListStatus(Map<String, Object> param);
}
